NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CAE.PostSelectionEntity Class Reference

This class has the information related to post selection entity. More...

Inheritance diagram for NXOpen.CAE.PostSelectionEntity:
NXOpen.TransientObject NXOpen.Utilities.NXRemotableObject IDisposable IMessageSink

Public Member Functions

unsafe void Delete ()
 Deletes the selection entity. More...
 
unsafe bool HasEdge ()
 Tells if Edge is set More...
 
unsafe bool HasElem ()
 Tells if Element label is set More...
 
unsafe bool HasFace ()
 Tells if Face is set More...
 
unsafe bool HasNode ()
 Tells if Node label is set More...
 
unsafe bool HasPoint ()
 Tells if Point is set More...
 
unsafe bool HasRotationAngle ()
 Tells if Rotation Angle is set More...
 
unsafe bool HasSE ()
 Tells if Super Element id is set More...
 
unsafe bool HasSector ()
 Tells if Sector is set More...
 
- Public Member Functions inherited from NXOpen.TransientObject
void Dispose ()
 Frees the object from memory. More...
 
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
new string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override void FreeResource ()
 Frees the object from memory. More...
 

Properties

unsafe int EdgeId [get, set]
 Returns or sets the edge id selected More...
 
unsafe int ElemId [get, set]
 Returns or sets the elem label selected More...
 
unsafe int FaceId [get, set]
 Returns or sets the face id selected More...
 
unsafe int NodeId [get, set]
 Returns or sets the node id selected More...
 
unsafe NXOpen.Point3d Point [get, set]
 Returns or sets the point selected More...
 
unsafe double RotationAngle [get, set]
 Returns or sets the rotation angle selected More...
 
unsafe int SectorId [get, set]
 Returns or sets the node label selected More...
 
unsafe int SEId [get, set]
 Returns or sets the super element id selected More...
 
- Properties inherited from NXOpen.TransientObject
IntPtr Handle [get]
 Handle of the internal object represented by this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Detailed Description

This class has the information related to post selection entity.

Not Each attribute of this class is relevent for all the purpose. The best way To use this class is to first check if the attribute is set before using it, if user is not sure.

To obtain an instance of this class use CAE::Post

Created in NX11.0.2

Member Function Documentation

unsafe void NXOpen.CAE.PostSelectionEntity.Delete ( )
inline

Deletes the selection entity.

Created in NX11.0.2

License requirements: None.

override void NXOpen.CAE.PostSelectionEntity.FreeResource ( )
inlineprotectedvirtual

Frees the object from memory.

After this method is called, it is illegal to use the object. In .NET, this method is automatically called when the object is deleted by the garbage collector.

Created in NX11.0.2

License requirements: None.

Implements NXOpen.TransientObject.

unsafe bool NXOpen.CAE.PostSelectionEntity.HasEdge ( )
inline

Tells if Edge is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasElem ( )
inline

Tells if Element label is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasFace ( )
inline

Tells if Face is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasNode ( )
inline

Tells if Node label is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasPoint ( )
inline

Tells if Point is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasRotationAngle ( )
inline

Tells if Rotation Angle is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasSE ( )
inline

Tells if Super Element id is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
unsafe bool NXOpen.CAE.PostSelectionEntity.HasSector ( )
inline

Tells if Sector is set

Created in NX11.0.2

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns

Property Documentation

unsafe int NXOpen.CAE.PostSelectionEntity.EdgeId
getset

Returns or sets the edge id selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.PostSelectionEntity.ElemId
getset

Returns or sets the elem label selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.PostSelectionEntity.FaceId
getset

Returns or sets the face id selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.PostSelectionEntity.NodeId
getset

Returns or sets the node id selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe NXOpen.Point3d NXOpen.CAE.PostSelectionEntity.Point
getset

Returns or sets the point selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe double NXOpen.CAE.PostSelectionEntity.RotationAngle
getset

Returns or sets the rotation angle selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.PostSelectionEntity.SectorId
getset

Returns or sets the node label selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

unsafe int NXOpen.CAE.PostSelectionEntity.SEId
getset

Returns or sets the super element id selected

Created in NX11.0.2

License requirements to get this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

License requirements to set this property: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.